---
module-name: "GitLab-com Admin"
area: "Customer Service"
maintainers:
  - lyle
  - ralfaro
---

### Overview

GitLab.com Admin access is sometimes required in various tasks you may need to perform as a Support Engineer. Other support training modules will guide you to use this module for getting your Admin account created. Do not perform this module unless you have been guided to do so to complete another training module or by request of your manager.

**Goal**: You understand the risks and rules for using Admin access and have an admin account provisioned.

## Required Reading

- [ ] [An Overview of GitLab.com](https://handbook.gitlab.com/handbook/support/workflows/gitlab-com_overview/)

### Requesting GitLab.com Admin Access

Discuss this with your manager before following these steps.

1. [ ] Create a new GitLab.com account using the format: `username-admin` with  `username+admin@gitlab.com` as the email address.
1. [ ] Set up 2FA on the new account
1. [ ] Open an [Individual Access request](https://gitlab.com/gitlab-com/team-member-epics/access-requests/-/issues/new?issuable_template=Individual_Bulk_Access_Request) for GitLab.com admin
1. [ ] Tag your manager for approval

While you wait for provisioning, read and check off your understanding of the following statements:

- [ ] I will use this access only in the course of doing work on a Support ticket or incident.
- [ ] I will not access customer data without a direct URL to that data provided by the customer. 
- [ ] I always [ask for permission to take action](https://handbook.gitlab.com/handbook/support/workflows/account_changes/#asking-permission) whenever there is a clear ask of the action (including impersonating a user).
- [ ] I will not share information that the user (or users) I'm working with would not have access to, unless it is a group owner requesting information about an [Enterprise User](https://handbook.gitlab.com/handbook/support/workflows/gitlab-com_overview/#enterprise-users).
- [ ] I will not take any actions that a user could reasonably take themselves, even if directed to do so by the user.
- [ ] I will not manually delete user accounts through the admin interface, including users generated by creating a [group access token](https://docs.gitlab.com/ee/user/group/settings/group_access_tokens.html) or [project access token](https://docs.gitlab.com/ee/user/project/settings/project_access_tokens.html), except when an account deletion request has been receive in `gitlab-com/gdpr-request`.
- [ ] I will use my non-admin account or a separate test instance if I need to reproduce customer issues.

#### Other .com admin tips:

 - [ ] Set a different color scheme in your admin account from your [account preferences](https://gitlab.com/-/profile/preferences)
 - [ ] Use a different browser or browser profile for your admin account
 - [ ] If you need to create an access token, set a short expiration date (be aware that GitLab.com uses UTC, so tokens might expire at a different time than you expect!)

/label ~module
/label ~"Module::GitLab-com Admin"
